LINUX.ORG.RU

Откатить обновление

 ,


0

2

Linux mint 17.3 Cinnamon Linux 3.19.0-51-generic #58~14.04.1-Ubuntu x86_64

Господа, дернуло меня обновить xorg

sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update && sudo apt-get upgrade
после чего пропали с рабочего стола значки(вероятно стали невидимыми), окно терминал запускается невидимым(одну только тень от него видно), запуск части графических оснасток приводит к повисанию иксов.

подскажите как откатить обновления (лог апта что обновлялось, многовато всего), либо, возможно, что-где в конфигах поправить, кои я при обновлении проигнорировал и оставил все по умолчанию.

Start-Date: 2016-03-04 10:03:09 Commandline: apt-get upgrade Upgrade: libgl1-mesa-dev:amd64 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), xserver-xorg-video-vmware:amd64 (13.0.2-2ubuntu1, 13.0.2+git20140804.0a596fd0-0ubuntu0sarvatt~trusty), libdrm-amdgpu1:amd64 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), intel-gpu-tools:amd64 (1.3-0ubuntu2.1, 1.8-1~xedgers~trusty), libegl1-mesa-drivers:amd64 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), xserver-xorg-video-sisusb:amd64 (0.9.6-2build1, 0.9.6+git20140806.293d0902-0ubuntu0sarvatt~trusty), libdrm-intel1:amd64 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), libdrm-intel1:i386 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), xserver-xorg-video-glamoregl:amd64 (0.6.0-0ubuntu4, 0.6.0+git20140801.347ef4f0-0ubuntu0sarvatt~trusty), libllvm3.4:amd64 (3.4-1ubuntu3, 3.4.2-3ubuntu2~xedgers), libllvm3.4:i386 (3.4-1ubuntu3, 3.4.2-3ubuntu2~xedgers), libdrm-dev:amd64 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), xserver-xorg-video-neomagic:amd64 (1.2.8-1build1, 1.2.8+git20140806.74a9a343-0ubuntu0sarvatt~trusty), libdrm-radeon1:amd64 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), libdrm-radeon1:i386 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), libwayland-server0:amd64 (1.4.0-1ubuntu1, 1.7.0-0ubuntu1~trusty1), libglapi-mesa:i386 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), libglapi-mesa:amd64 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), libva1:amd64 (1.3.0-2, 1.5.0-1~xedgers~trusty), base-files:amd64 (7.2ubuntu5.3, 7.2ubuntu5.4), libwayland-cursor0:amd64 (1.4.0-1ubuntu1, 1.7.0-0ubuntu1~trusty1), libgles2-mesa:amd64 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), libgl1-mesa-glx:amd64 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), libgl1-mesa-glx:i386 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), xserver-xorg-video-intel:amd64 (2.99.910-0ubuntu1.6, 2.99.917+git20151202.da9ad388-0ubuntu0sarvatt~trusty), xserver-xorg-video-ati:amd64 (7.3.0-1ubuntu3.1, 7.4.99+git20140806.fbf575cb-0ubuntu0sarvatt~trusty), libglamor0:amd64 (0.6.0-0ubuntu4, 0.6.0+git20140801.347ef4f0-0ubuntu0sarvatt~trusty), libdrm-nouveau2:amd64 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), libdrm-nouveau2:i386 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), libwayland-client0:amd64 (1.4.0-1ubuntu1, 1.7.0-0ubuntu1~trusty1), xserver-xorg-video-trident:amd64 (1.3.6-0ubuntu5, 1.3.6+git20140806.562c38ca-0ubuntu0sarvatt~trusty), libva-x11-1:amd64 (1.3.0-2, 1.5.0-1~xedgers~trusty), xserver-xorg-video-radeon:amd64 (7.3.0-1ubuntu3.1, 7.4.99+git20140806.fbf575cb-0ubuntu0sarvatt~trusty), mesa-common-dev:amd64 (10.1.3-0ubuntu0.6, 11.0.4~git20151026+11.0.ec14e6f8-0ubuntu0ricotz~trusty), libvdpau1:amd64 (0.7-1ubuntu0.1, 1.1-0ubuntu1~xedgers14.04.1), linux-libc-dev:amd64 (3.13.0-76.120, 3.13.0-79.123), libdrm2:amd64 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), libdrm2:i386 (2.4.64-1~ubuntu14.04.1, 2.4.65+git20151026.c745e541-0ubuntu0ricotz~trusty), xserver-xorg-video-nouveau:amd64 (1.0.10-1ubuntu2, 1.0.11+git20141030.3fb97d78-0ubuntu0sarvatt~trusty2)

man apt-get
sudo apt-get install <package-name>=<package-version-number> #or
sudo apt-get -t=<target release> install <package-name>

но вообще перед такими процедурами надо делать бекап конфигов. Потому что даже downgrade не восстановит тебе конфигов.

Еще иногда помогает запуск настройки ксорга средствами видеодрайвера.

Crystal_HMR ★★★ ()

ppa-purge ppa:xorg-edgers/ppa спасёт

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.